import { PipeTransform } from '@angular/core';
import { NgxSelect2ExOptionHandler } from '../classes/ngx-select2-ex-option-handler';
export declare class NgxSelect2OptionFilterPipe implements PipeTransform {
    transform(options: Array<NgxSelect2ExOptionHandler>, filter: string, minimumResultsForSearch: number, minimumInputLength?: number | null, maximumInputLength?: number | null): Array<NgxSelect2ExOptionHandler>;
    filterOptions(options: Array<NgxSelect2ExOptionHandler>, filter: string, minimumResultsForSearch: number, minimumInputLength?: number | null, maximumInputLength?: number | null): Array<NgxSelect2ExOptionHandler>;
    private rangeInputFilteringHandler(options, filter, minimumInputLength, maximumInputLength);
    private minimumInputFilteringHandler(options, filter, minimumInputLength);
    private maximumInputFilteringHandler(options, filter, maximumInputLength);
    private isfilterTextBiggerThanMinimumInputLength(filter, minimumInputLength);
    private isfilterTextSmallerThanMaximumInputLength(filter, maximumInputLength);
    private doFiltering(options, filter);
}
